15 Most Popular WordPress plugins of 2010

November 10, 2010 · 31 comments

by andrew


WordPress has been the ultimate platform for blogging in 2010 and it has also evolved into many other areas where people have a need for publishing content. Just to mention a few areas that have previously been covered here on tripwire magazine – WordPress is now used for Question and Answer solutions, for portfolios, as a website CMS, for mobile devices, for membership sites, for making money and much more. With all this popularity there is a really strong community around WordPress creating tons of valuable themes and plugins. Not all of the plugins created are essential for running a blog, Not all of the WordPress plugins created are essential for running a blog. I have compiled a list for you with the plugins most bloggers use right now. 



1. Fast Secure Contact Form

Fast Secure Contact Form

This is an advanced customizable contact form that enables your visitors to send you email, but blocks all automated spammers. The Plug-in helps to prevent spamming to a large extent. The plug-in has a multi-form feature, optional extra fields, and an option to redirect visitors to any URL after the message is sent. It also has a number of other interesting features.


  • WordPress 2.6+ but WordPress 3.0+ is highly recommended
  • PHP 4.3.9 or above with GD2 library support. PHP5 is highly recommended.
  • PHP register_globals and safe_mode should be set to “Off”.

2. NextGEN Gallery

NextGEN Gallery is a complete Image Gallery plug-in with advanced options for WordPress. It has a plenty of features like option to add custom template to theme, you can copy or move images between galleries, option to create your own set of albums, water mark function etc.


  • WordPress Version: 2.9 or higher Compatible up to: 3.0.1

3. WP-PageNavi

It adds a more advanced paging navigation to your WordPress site. Page navigation is customizable with this plug-in.


  • Required WordPress version: 2.8 or higher
  • Compatible up to:  3.0.1
  • Php 5 is required since version 2.70

4. Maintenance Mode

Maintenance Mode

The Plug-in adds a splash page to the blog that lets visitors know that the blog is under maintenance. Visitors will be shown a message like “Maintenance Mode – SITE is currently undergoing scheduled maintenance”


  • WordPress Version: 2.7 or higher Compatible up to: 3.0.1

5. W3 Total Cache

This is the fastest and most complete WordPress performance optimization plug-in available, it can easily optimize the speed and user experience of the site with caching: browser, page, object, database, minify and content delivery network support.


  • WordPress Version: 2.8 or higher Compatible up to: 3.0.1

6. SI CAPTCHA Anti-Spam

It is an anti-spam Plug-in for wordpress. The Plug-in ensures that the comment form, registration form, login etc are spam protected. The user has to type in the code shown on the image in order to post comments or register, thus prevents spam from automated bots. It is completely WP, WPMU, and BuddyPress compatible. Requirements: WordPress Version: 2.6 or higher Compatible up to: 3.0.1

7. Platinum SEO Pack

The Plug-in offers complete onsite SEO solution for WordPress blog. Platinum SEO Plugin offers all the functionalities of All In ‘One SEO pack’ and optimizes wordpress blog for search engines. Requirements: WordPress Version: 1.5 or higher compatible up to: 3.0.1

8. Sexy Bookmarks

Sexy Bookmarks

The plug-in adds an attractive social book marking menu to your posts, pages or index. Recently the plug-in has been updated to make it more efficient.  Some recently added sites are yahoo mail, Gmail, hotmail and Buzzster.


  • Requires WordPress Version: 2.7 or higher Compatible up to: 3.0.1

9. Yet Another Related Posts Plug-in

The Plug-in gives the reader a list of posts and/or pages relevant to the current entry thus introducing him/her to other relevant content on the site.


  • WordPress Version: 2.8 or higher compatible up to: 3.0.1

10. Tweet This

The plug-in provides “Tweet this” option so that the readers can share posts with one click and the plug-in automatically tweets new posts via OAuth. It allows user to publish and schedule tweets from a new “Write Tweet” page and it supports 10 URL shorteners like Bit.ly, Su.pr, and TinyURL etc and also includes options for 20 social networks including Facebook, Bebo, and MySpace.

  • Requirements: WordPress Version: 2.7 or higher compatible up to: 3.0.1

11. Wordbooker

This plug-in allows cross-post blog posts to your Facebook Wall. You can also “cross pollinate” comments between Facebook and WordPress blog.

  • Requirements: WordPress Version: 2.8 or higher compatible up to: 3.0.1

12. Secure WordPress

The Plug-in secures WordPress Installation with small functions. It removes error-information on login-page,  the wp-version, except in admin-area, removes Really Simple Discovery, Windows Live Writer, core update information for non-admin, removes plug-in-update information for non-admin and theme-update information for non-admin (only WP 2.8 and higher) It adds index.php plug-in-directory (virtual), hides wp-version in backend-dashboard for non-admins, adds string for use WP Scanner, Blocks bad queries.

  • Requirements: WordPress Version: 2.6 or higher compatible up to: 3.1-alpha

13.  WP-FB-AutoConnect

The Login-Logout widget with Facebook Connect button offers hassle-free login for readers, the plug-in is clean and extensible and also Supports BuddyPress, Similar “Facebook Connect” plug-ins do exist, but most of them are either too complex and difficult to customize, or fail to provide a user-friendly experience for new visitors.

  • Requirements: WordPress Version: 2.5 or higher compatible up to: 3.0.1

14. WordPress Download Monitor

Download Monitor is a plug-in for uploading and managing downloads, tracking download hits, and displaying links.

  • Requirements: WordPress Version: 2.5 or higher compatible up to: 3.0.1

15. Exclude Pages

This plug-in adds a checkbox, “include this page in menus” which is checked by default, if you uncheck this option, the page will not appear in any listings of pages.

  • Requirements: WordPress Version: 2.2.3 or higher Compatible up to: 3.0.1
Please share in a comment what you think is the most popular plugins this year and if you think there are new interesting plugins are worth paying notice to.

Author : Andrew Paul

Andrew Paul, BDM with WordPressintegration.com, company with a team of experts specialized in PSD to WordPress conversion and integration.

Previous post:

Next post:

Web Analytics